### Enumeration

# Qmi DmsActivationState

since: 1.0

#### Declaration

    enum Qmi.DmsActivationState

#### Description [src]

State of the service activation.

Available since: 1.0

#### Members

`QMI_DMS_ACTIVATION_STATE_NOT_ACTIVATED`

  Service not activated.

  - Value: `0`
  - Available since: 1.0
`QMI_DMS_ACTIVATION_STATE_ACTIVATED`

  Service is activated.

  - Value: `1`
  - Available since: 1.0
`QMI_DMS_ACTIVATION_STATE_CONNECTING`

  Connection in progress for automatic activation.

  - Value: `2`
  - Available since: 1.0
`QMI_DMS_ACTIVATION_STATE_CONNECTED`

  Connection connected for automatic activation.

  - Value: `3`
  - Available since: 1.0
`QMI_DMS_ACTIVATION_STATE_OTASP_AUTHENTICATED`

  OTASP security authenticated.

  - Value: `4`
  - Available since: 1.0
`QMI_DMS_ACTIVATION_STATE_OTASP_NAM`

  OTASP NAM downloaded.

  - Value: `5`
  - Available since: 1.0
`QMI_DMS_ACTIVATION_STATE_OTASP_MDN`

  OTASP MDN downloaded.

  - Value: `6`
  - Available since: 1.0
`QMI_DMS_ACTIVATION_STATE_OTASP_IMSI`

  OTASP IMSI downloaded.

  - Value: `7`
  - Available since: 1.0
`QMI_DMS_ACTIVATION_STATE_OTASP_PRL`

  OTASP PRL downloaded.

  - Value: `8`
  - Available since: 1.0
`QMI_DMS_ACTIVATION_STATE_OTASP_SPC`

  OTASP SPC downloaded.

  - Value: `9`
  - Available since: 1.0
`QMI_DMS_ACTIVATION_STATE_OTASP_COMMITED`

  OTASP settings committed.

  - Value: `10`
  - Available since: 1.0

#### Type functions

###### qmi_dms_activation_state_get_string

Gets the nickname string for the `QmiDmsActivationState` specified at `val`.

since: 1.0